%define pkgname feedparser

Summary: Parse RSS and Atom feeds in Python
Name: python-feedparser
Version: 5.1.2
Release: 1

Source0: http://pypi.python.org/packages/source/f/feedparser/%{pkgname}-%{version}.tar.bz2
License: BSD
URL: http://code.google.com/p/feedparser/
Group: Development/Python
Requires: python
BuildRequires: python-devel
BuildRequires: python-setuptools
BuildArch: noarch

%description
Feedparser is the "Universal Feed Parser" library for python, which
handles RSS 0.9x, RSS 1.0, RSS 2.0, CDF, Atom 0.3, and Atom 1.0 feeds

%prep
%setup -q -n %{pkgname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%check
pushd feedparser
    python feedparsertest.py
popd

%install

PYTHONDONTWRITEBYTECODE= python setup.py install --root=%{buildroot}
chmod 644 %{buildroot}/%py_puresitedir/feedparser-%{version}-py2.7.egg-info/*

%files
%doc LICENSE README
%py_puresitedir/*


%changelog
* Mon Aug 27 2012 Götz Waschk <waschk@mandriva.org> 5.1.2-1
+ Revision: 815846
- new version
- replace URL

* Thu Apr 26 2012 Guilherme Moro <guilherme@mandriva.com> 5.1.1-2
+ Revision: 793683
- Fix file permissions

* Mon Mar 26 2012 Alexander Khrukin <akhrukin@mandriva.org> 5.1.1-1
+ Revision: 786967
- BR:python-setuptools
- version update 5.1.1

* Mon May 02 2011 Oden Eriksson <oeriksson@mandriva.com> 5.0.1-1
+ Revision: 662183
- 5.0.1 (fixes CVE-2009-5065, CVE-2011-1156, CVE-2011-1157, CVE-2011-1158)

* Mon Nov 01 2010 Ahmad Samir <ahmadsamir@mandriva.org> 4.1-9mdv2011.0
+ Revision: 591517
- fix build (python byte code is compiled by feedparser by default)

  + Michael Scherer <misc@mandriva.org>
    - rebuild for python 2.7

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 4.1-8mdv2010.1
+ Revision: 523786
- rebuilt for 2010.1

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.org> 4.1-7mdv2009.1
+ Revision: 319129
- rebuild with python 2.6
- better source location

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 4.1-6mdv2009.0
+ Revision: 259603
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 4.1-5mdv2009.0
+ Revision: 247412
- rebuild

* Fri Dec 21 2007 Olivier Blin <blino@mandriva.org> 4.1-3mdv2008.1
+ Revision: 136447
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 4.1-3mdv2007.0
+ Revision: 96541
- Rebuild against new python

  + Michael Scherer <misc@mandriva.org>
    - Import python-feedparser

* Fri Jul 14 2006 Michael Scherer <misc@mandriva.org> 4.1-2mdv2007.0
- Rebuild for new extension

* Thu Jan 12 2006 Michael Scherer <misc@mandriva.org> 4.1-1mdk
- update to last release
- make it rpmbuildupdatable
- from Benot Gudas <benoit@guedas.com>
  - First Mandriva release

